type EventKey<S extends EventMap> = string & keyof S;
type EventMap = Record<string, any>;
type EventSet = Set<Function>;
type EventStore = Map<keyof EventMap, EventSet>;
export declare class EventEmitter<S extends EventMap = unknown[]> {
    readonly _events: EventStore;
    constructor();
    _getHandlers(eventName: string): EventSet;
    has(topic: string): boolean;
    on<K extends EventKey<S>>(eventName: K, fn: (...args: S[K]) => void | Promise<void>): void;
    once<K extends EventKey<S>>(eventName: K, fn: (...args: S[K]) => void | Promise<void>): void;
    within<K extends EventKey<S>>(eventName: K, fn: (...args: S[K]) => void | Promise<void>, timeout: number): void;
    emit<K extends EventKey<S>>(eventName: string, ...args: S[K]): void;
    removeHandler<K extends EventKey<S>>(eventName: K, fn: (...args: S[K]) => void): void;
    clearEvent(eventName: string): void;
}
export {};
//# sourceMappingURL=Emitter.d.ts.map