import { z } from 'zod';
export type Literal = z.infer<typeof literal>;
export type Json = Literal | {
    [key: string]: Json;
} | Json[];
declare const literal: z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull]>;
export declare const BaseSchema: {
    address: z.ZodString;
    base64: z.ZodString;
    base64url: z.ZodString;
    bech32: z.ZodString;
    date: z.ZodDate;
    entry: z.ZodTuple<[z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull]>], null>;
    hash: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    hex: z.ZodEffects<z.ZodString, string, string>;
    literal: z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull]>;
    json: z.ZodType<Json, z.ZodTypeDef, Json>;
    label: z.ZodString;
    nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    psig: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    record: z.ZodRecord<z.ZodString, z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull]>, "many">>;
    script: z.ZodArray<z.ZodString, "many">;
    signature: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    str: z.ZodString;
    tags: z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean, z.ZodNull]>, "many">;
    timestamp: z.ZodNumber;
    value: z.ZodNumber;
};
export {};
//# sourceMappingURL=base.d.ts.map