import { z } from 'zod';
export type PayoutData = z.infer<typeof data>;
export type PayoutTemplate = z.infer<typeof template>;
declare const template: z.ZodObject<{
    address: z.ZodString;
    label: z.ZodString;
    value: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    value: number;
    address: string;
    label: string;
}, {
    value: number;
    address: string;
    label: string;
}>;
declare const data: z.ZodObject<{
    value: z.ZodNumber;
    address: z.ZodString;
    label: z.ZodString;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    value: number;
    address: string;
    label: string;
}, {
    pubkey: string;
    value: number;
    address: string;
    label: string;
}>;
export declare const PayoutSchema: {
    data: z.ZodObject<{
        value: z.ZodNumber;
        address: z.ZodString;
        label: z.ZodString;
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        value: number;
        address: string;
        label: string;
    }, {
        pubkey: string;
        value: number;
        address: string;
        label: string;
    }>;
    template: z.ZodObject<{
        address: z.ZodString;
        label: z.ZodString;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        value: number;
        address: string;
        label: string;
    }, {
        value: number;
        address: string;
        label: string;
    }>;
};
export {};
//# sourceMappingURL=payout.d.ts.map