import { z } from 'zod';
export type ProposeData = z.infer<typeof data>;
export type ProposeTemplate = z.infer<typeof template>;
declare const template: z.ZodObject<{
    alias: z.ZodString;
    nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    terms: z.ZodObject<{
        details: z.ZodDefault<z.ZodObject<{
            expires: z.ZodOptional<z.ZodDefault<z.ZodNumber>>;
            quorum: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                members: z.ZodOptional<z.ZodArray<z.ZodTuple<[z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, z.ZodDefault<z.ZodNumber>], null>, "many">>;
                size: z.ZodOptional<z.ZodNumber>;
            }, "strip", z.ZodTypeAny, {
                members?: [string, number][] | undefined;
                size?: number | undefined;
            }, {
                members?: [string, number | undefined][] | undefined;
                size?: number | undefined;
            }>>>;
            return: z.ZodOptional<z.ZodString>;
            value: z.ZodOptional<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            expires?: number | undefined;
            quorum?: {
                members?: [string, number][] | undefined;
                size?: number | undefined;
            } | undefined;
            return?: string | undefined;
            value?: number | undefined;
        }, {
            expires?: number | undefined;
            quorum?: {
                members?: [string, number | undefined][] | undefined;
                size?: number | undefined;
            } | undefined;
            return?: string | undefined;
            value?: number | undefined;
        }>>;
        fees: z.ZodDefault<z.ZodArray<z.ZodObject<{
            address: z.ZodString;
            label: z.ZodString;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            value: number;
            address: string;
            label: string;
        }, {
            value: number;
            address: string;
            label: string;
        }>, "many">>;
        payments: z.ZodDefault<z.ZodArray<z.ZodObject<{
            address: z.ZodString;
            label: z.ZodString;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            value: number;
            address: string;
            label: string;
        }, {
            value: number;
            address: string;
            label: string;
        }>, "many">>;
        returns: z.ZodDefault<z.ZodArray<z.ZodObject<{
            address: z.ZodString;
            label: z.ZodString;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            value: number;
            address: string;
            label: string;
        }, {
            value: number;
            address: string;
            label: string;
        }>, "many">>;
        records: z.ZodDefault<z.ZodArray<z.ZodObject<{
            label: z.ZodString;
            content: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            label: string;
            content: string;
        }, {
            label: string;
            content: string;
        }>, "many">>;
        scripts: z.ZodDefault<z.ZodArray<z.ZodObject<{
            label: z.ZodString;
            script: z.ZodArray<z.ZodString, "many">;
        }, "strip", z.ZodTypeAny, {
            label: string;
            script: string[];
        }, {
            label: string;
            script: string[];
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        fees: {
            value: number;
            address: string;
            label: string;
        }[];
        details: {
            expires?: number | undefined;
            quorum?: {
                members?: [string, number][] | undefined;
                size?: number | undefined;
            } | undefined;
            return?: string | undefined;
            value?: number | undefined;
        };
        payments: {
            value: number;
            address: string;
            label: string;
        }[];
        returns: {
            value: number;
            address: string;
            label: string;
        }[];
        records: {
            label: string;
            content: string;
        }[];
        scripts: {
            label: string;
            script: string[];
        }[];
    }, {
        details?: {
            expires?: number | undefined;
            quorum?: {
                members?: [string, number | undefined][] | undefined;
                size?: number | undefined;
            } | undefined;
            return?: string | undefined;
            value?: number | undefined;
        } | undefined;
        fees?: {
            value: number;
            address: string;
            label: string;
        }[] | undefined;
        payments?: {
            value: number;
            address: string;
            label: string;
        }[] | undefined;
        returns?: {
            value: number;
            address: string;
            label: string;
        }[] | undefined;
        records?: {
            label: string;
            content: string;
        }[] | undefined;
        scripts?: {
            label: string;
            script: string[];
        }[] | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    nonce: string;
    alias: string;
    terms: {
        fees: {
            value: number;
            address: string;
            label: string;
        }[];
        details: {
            expires?: number | undefined;
            quorum?: {
                members?: [string, number][] | undefined;
                size?: number | undefined;
            } | undefined;
            return?: string | undefined;
            value?: number | undefined;
        };
        payments: {
            value: number;
            address: string;
            label: string;
        }[];
        returns: {
            value: number;
            address: string;
            label: string;
        }[];
        records: {
            label: string;
            content: string;
        }[];
        scripts: {
            label: string;
            script: string[];
        }[];
    };
}, {
    nonce: string;
    alias: string;
    terms: {
        details?: {
            expires?: number | undefined;
            quorum?: {
                members?: [string, number | undefined][] | undefined;
                size?: number | undefined;
            } | undefined;
            return?: string | undefined;
            value?: number | undefined;
        } | undefined;
        fees?: {
            value: number;
            address: string;
            label: string;
        }[] | undefined;
        payments?: {
            value: number;
            address: string;
            label: string;
        }[] | undefined;
        returns?: {
            value: number;
            address: string;
            label: string;
        }[] | undefined;
        records?: {
            label: string;
            content: string;
        }[] | undefined;
        scripts?: {
            label: string;
            script: string[];
        }[] | undefined;
    };
}>;
declare const data: z.ZodObject<{
    nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    alias: z.ZodString;
    terms: z.ZodObject<{
        details: z.ZodDefault<z.ZodObject<{
            expires: z.ZodOptional<z.ZodDefault<z.ZodNumber>>;
            quorum: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                members: z.ZodOptional<z.ZodArray<z.ZodTuple<[z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, z.ZodDefault<z.ZodNumber>], null>, "many">>;
                size: z.ZodOptional<z.ZodNumber>;
            }, "strip", z.ZodTypeAny, {
                members?: [string, number][] | undefined;
                size?: number | undefined;
            }, {
                members?: [string, number | undefined][] | undefined;
                size?: number | undefined;
            }>>>;
            return: z.ZodOptional<z.ZodString>;
            value: z.ZodOptional<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            expires?: number | undefined;
            quorum?: {
                members?: [string, number][] | undefined;
                size?: number | undefined;
            } | undefined;
            return?: string | undefined;
            value?: number | undefined;
        }, {
            expires?: number | undefined;
            quorum?: {
                members?: [string, number | undefined][] | undefined;
                size?: number | undefined;
            } | undefined;
            return?: string | undefined;
            value?: number | undefined;
        }>>;
        fees: z.ZodDefault<z.ZodArray<z.ZodObject<{
            address: z.ZodString;
            label: z.ZodString;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            value: number;
            address: string;
            label: string;
        }, {
            value: number;
            address: string;
            label: string;
        }>, "many">>;
        payments: z.ZodDefault<z.ZodArray<z.ZodObject<{
            address: z.ZodString;
            label: z.ZodString;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            value: number;
            address: string;
            label: string;
        }, {
            value: number;
            address: string;
            label: string;
        }>, "many">>;
        returns: z.ZodDefault<z.ZodArray<z.ZodObject<{
            address: z.ZodString;
            label: z.ZodString;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            value: number;
            address: string;
            label: string;
        }, {
            value: number;
            address: string;
            label: string;
        }>, "many">>;
        records: z.ZodDefault<z.ZodArray<z.ZodObject<{
            label: z.ZodString;
            content: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            label: string;
            content: string;
        }, {
            label: string;
            content: string;
        }>, "many">>;
        scripts: z.ZodDefault<z.ZodArray<z.ZodObject<{
            label: z.ZodString;
            script: z.ZodArray<z.ZodString, "many">;
        }, "strip", z.ZodTypeAny, {
            label: string;
            script: string[];
        }, {
            label: string;
            script: string[];
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        fees: {
            value: number;
            address: string;
            label: string;
        }[];
        details: {
            expires?: number | undefined;
            quorum?: {
                members?: [string, number][] | undefined;
                size?: number | undefined;
            } | undefined;
            return?: string | undefined;
            value?: number | undefined;
        };
        payments: {
            value: number;
            address: string;
            label: string;
        }[];
        returns: {
            value: number;
            address: string;
            label: string;
        }[];
        records: {
            label: string;
            content: string;
        }[];
        scripts: {
            label: string;
            script: string[];
        }[];
    }, {
        details?: {
            expires?: number | undefined;
            quorum?: {
                members?: [string, number | undefined][] | undefined;
                size?: number | undefined;
            } | undefined;
            return?: string | undefined;
            value?: number | undefined;
        } | undefined;
        fees?: {
            value: number;
            address: string;
            label: string;
        }[] | undefined;
        payments?: {
            value: number;
            address: string;
            label: string;
        }[] | undefined;
        returns?: {
            value: number;
            address: string;
            label: string;
        }[] | undefined;
        records?: {
            label: string;
            content: string;
        }[] | undefined;
        scripts?: {
            label: string;
            script: string[];
        }[] | undefined;
    }>;
    created_at: z.ZodDefault<z.ZodNumber>;
    id: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    sig: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    sig: string;
    nonce: string;
    alias: string;
    terms: {
        fees: {
            value: number;
            address: string;
            label: string;
        }[];
        details: {
            expires?: number | undefined;
            quorum?: {
                members?: [string, number][] | undefined;
                size?: number | undefined;
            } | undefined;
            return?: string | undefined;
            value?: number | undefined;
        };
        payments: {
            value: number;
            address: string;
            label: string;
        }[];
        returns: {
            value: number;
            address: string;
            label: string;
        }[];
        records: {
            label: string;
            content: string;
        }[];
        scripts: {
            label: string;
            script: string[];
        }[];
    };
    created_at: number;
    id: string;
}, {
    pubkey: string;
    sig: string;
    nonce: string;
    alias: string;
    terms: {
        details?: {
            expires?: number | undefined;
            quorum?: {
                members?: [string, number | undefined][] | undefined;
                size?: number | undefined;
            } | undefined;
            return?: string | undefined;
            value?: number | undefined;
        } | undefined;
        fees?: {
            value: number;
            address: string;
            label: string;
        }[] | undefined;
        payments?: {
            value: number;
            address: string;
            label: string;
        }[] | undefined;
        returns?: {
            value: number;
            address: string;
            label: string;
        }[] | undefined;
        records?: {
            label: string;
            content: string;
        }[] | undefined;
        scripts?: {
            label: string;
            script: string[];
        }[] | undefined;
    };
    id: string;
    created_at?: number | undefined;
}>;
export declare const ProposeSchema: {
    data: z.ZodObject<{
        nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        alias: z.ZodString;
        terms: z.ZodObject<{
            details: z.ZodDefault<z.ZodObject<{
                expires: z.ZodOptional<z.ZodDefault<z.ZodNumber>>;
                quorum: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    members: z.ZodOptional<z.ZodArray<z.ZodTuple<[z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, z.ZodDefault<z.ZodNumber>], null>, "many">>;
                    size: z.ZodOptional<z.ZodNumber>;
                }, "strip", z.ZodTypeAny, {
                    members?: [string, number][] | undefined;
                    size?: number | undefined;
                }, {
                    members?: [string, number | undefined][] | undefined;
                    size?: number | undefined;
                }>>>;
                return: z.ZodOptional<z.ZodString>;
                value: z.ZodOptional<z.ZodNumber>;
            }, "strip", z.ZodTypeAny, {
                expires?: number | undefined;
                quorum?: {
                    members?: [string, number][] | undefined;
                    size?: number | undefined;
                } | undefined;
                return?: string | undefined;
                value?: number | undefined;
            }, {
                expires?: number | undefined;
                quorum?: {
                    members?: [string, number | undefined][] | undefined;
                    size?: number | undefined;
                } | undefined;
                return?: string | undefined;
                value?: number | undefined;
            }>>;
            fees: z.ZodDefault<z.ZodArray<z.ZodObject<{
                address: z.ZodString;
                label: z.ZodString;
                value: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                value: number;
                address: string;
                label: string;
            }, {
                value: number;
                address: string;
                label: string;
            }>, "many">>;
            payments: z.ZodDefault<z.ZodArray<z.ZodObject<{
                address: z.ZodString;
                label: z.ZodString;
                value: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                value: number;
                address: string;
                label: string;
            }, {
                value: number;
                address: string;
                label: string;
            }>, "many">>;
            returns: z.ZodDefault<z.ZodArray<z.ZodObject<{
                address: z.ZodString;
                label: z.ZodString;
                value: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                value: number;
                address: string;
                label: string;
            }, {
                value: number;
                address: string;
                label: string;
            }>, "many">>;
            records: z.ZodDefault<z.ZodArray<z.ZodObject<{
                label: z.ZodString;
                content: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                label: string;
                content: string;
            }, {
                label: string;
                content: string;
            }>, "many">>;
            scripts: z.ZodDefault<z.ZodArray<z.ZodObject<{
                label: z.ZodString;
                script: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                label: string;
                script: string[];
            }, {
                label: string;
                script: string[];
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            fees: {
                value: number;
                address: string;
                label: string;
            }[];
            details: {
                expires?: number | undefined;
                quorum?: {
                    members?: [string, number][] | undefined;
                    size?: number | undefined;
                } | undefined;
                return?: string | undefined;
                value?: number | undefined;
            };
            payments: {
                value: number;
                address: string;
                label: string;
            }[];
            returns: {
                value: number;
                address: string;
                label: string;
            }[];
            records: {
                label: string;
                content: string;
            }[];
            scripts: {
                label: string;
                script: string[];
            }[];
        }, {
            details?: {
                expires?: number | undefined;
                quorum?: {
                    members?: [string, number | undefined][] | undefined;
                    size?: number | undefined;
                } | undefined;
                return?: string | undefined;
                value?: number | undefined;
            } | undefined;
            fees?: {
                value: number;
                address: string;
                label: string;
            }[] | undefined;
            payments?: {
                value: number;
                address: string;
                label: string;
            }[] | undefined;
            returns?: {
                value: number;
                address: string;
                label: string;
            }[] | undefined;
            records?: {
                label: string;
                content: string;
            }[] | undefined;
            scripts?: {
                label: string;
                script: string[];
            }[] | undefined;
        }>;
        created_at: z.ZodDefault<z.ZodNumber>;
        id: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        sig: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        sig: string;
        nonce: string;
        alias: string;
        terms: {
            fees: {
                value: number;
                address: string;
                label: string;
            }[];
            details: {
                expires?: number | undefined;
                quorum?: {
                    members?: [string, number][] | undefined;
                    size?: number | undefined;
                } | undefined;
                return?: string | undefined;
                value?: number | undefined;
            };
            payments: {
                value: number;
                address: string;
                label: string;
            }[];
            returns: {
                value: number;
                address: string;
                label: string;
            }[];
            records: {
                label: string;
                content: string;
            }[];
            scripts: {
                label: string;
                script: string[];
            }[];
        };
        created_at: number;
        id: string;
    }, {
        pubkey: string;
        sig: string;
        nonce: string;
        alias: string;
        terms: {
            details?: {
                expires?: number | undefined;
                quorum?: {
                    members?: [string, number | undefined][] | undefined;
                    size?: number | undefined;
                } | undefined;
                return?: string | undefined;
                value?: number | undefined;
            } | undefined;
            fees?: {
                value: number;
                address: string;
                label: string;
            }[] | undefined;
            payments?: {
                value: number;
                address: string;
                label: string;
            }[] | undefined;
            returns?: {
                value: number;
                address: string;
                label: string;
            }[] | undefined;
            records?: {
                label: string;
                content: string;
            }[] | undefined;
            scripts?: {
                label: string;
                script: string[];
            }[] | undefined;
        };
        id: string;
        created_at?: number | undefined;
    }>;
    template: z.ZodObject<{
        alias: z.ZodString;
        nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        terms: z.ZodObject<{
            details: z.ZodDefault<z.ZodObject<{
                expires: z.ZodOptional<z.ZodDefault<z.ZodNumber>>;
                quorum: z.ZodOptional<z.ZodOptional<z.ZodObject<{
                    members: z.ZodOptional<z.ZodArray<z.ZodTuple<[z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, z.ZodDefault<z.ZodNumber>], null>, "many">>;
                    size: z.ZodOptional<z.ZodNumber>;
                }, "strip", z.ZodTypeAny, {
                    members?: [string, number][] | undefined;
                    size?: number | undefined;
                }, {
                    members?: [string, number | undefined][] | undefined;
                    size?: number | undefined;
                }>>>;
                return: z.ZodOptional<z.ZodString>;
                value: z.ZodOptional<z.ZodNumber>;
            }, "strip", z.ZodTypeAny, {
                expires?: number | undefined;
                quorum?: {
                    members?: [string, number][] | undefined;
                    size?: number | undefined;
                } | undefined;
                return?: string | undefined;
                value?: number | undefined;
            }, {
                expires?: number | undefined;
                quorum?: {
                    members?: [string, number | undefined][] | undefined;
                    size?: number | undefined;
                } | undefined;
                return?: string | undefined;
                value?: number | undefined;
            }>>;
            fees: z.ZodDefault<z.ZodArray<z.ZodObject<{
                address: z.ZodString;
                label: z.ZodString;
                value: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                value: number;
                address: string;
                label: string;
            }, {
                value: number;
                address: string;
                label: string;
            }>, "many">>;
            payments: z.ZodDefault<z.ZodArray<z.ZodObject<{
                address: z.ZodString;
                label: z.ZodString;
                value: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                value: number;
                address: string;
                label: string;
            }, {
                value: number;
                address: string;
                label: string;
            }>, "many">>;
            returns: z.ZodDefault<z.ZodArray<z.ZodObject<{
                address: z.ZodString;
                label: z.ZodString;
                value: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                value: number;
                address: string;
                label: string;
            }, {
                value: number;
                address: string;
                label: string;
            }>, "many">>;
            records: z.ZodDefault<z.ZodArray<z.ZodObject<{
                label: z.ZodString;
                content: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                label: string;
                content: string;
            }, {
                label: string;
                content: string;
            }>, "many">>;
            scripts: z.ZodDefault<z.ZodArray<z.ZodObject<{
                label: z.ZodString;
                script: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                label: string;
                script: string[];
            }, {
                label: string;
                script: string[];
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            fees: {
                value: number;
                address: string;
                label: string;
            }[];
            details: {
                expires?: number | undefined;
                quorum?: {
                    members?: [string, number][] | undefined;
                    size?: number | undefined;
                } | undefined;
                return?: string | undefined;
                value?: number | undefined;
            };
            payments: {
                value: number;
                address: string;
                label: string;
            }[];
            returns: {
                value: number;
                address: string;
                label: string;
            }[];
            records: {
                label: string;
                content: string;
            }[];
            scripts: {
                label: string;
                script: string[];
            }[];
        }, {
            details?: {
                expires?: number | undefined;
                quorum?: {
                    members?: [string, number | undefined][] | undefined;
                    size?: number | undefined;
                } | undefined;
                return?: string | undefined;
                value?: number | undefined;
            } | undefined;
            fees?: {
                value: number;
                address: string;
                label: string;
            }[] | undefined;
            payments?: {
                value: number;
                address: string;
                label: string;
            }[] | undefined;
            returns?: {
                value: number;
                address: string;
                label: string;
            }[] | undefined;
            records?: {
                label: string;
                content: string;
            }[] | undefined;
            scripts?: {
                label: string;
                script: string[];
            }[] | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        nonce: string;
        alias: string;
        terms: {
            fees: {
                value: number;
                address: string;
                label: string;
            }[];
            details: {
                expires?: number | undefined;
                quorum?: {
                    members?: [string, number][] | undefined;
                    size?: number | undefined;
                } | undefined;
                return?: string | undefined;
                value?: number | undefined;
            };
            payments: {
                value: number;
                address: string;
                label: string;
            }[];
            returns: {
                value: number;
                address: string;
                label: string;
            }[];
            records: {
                label: string;
                content: string;
            }[];
            scripts: {
                label: string;
                script: string[];
            }[];
        };
    }, {
        nonce: string;
        alias: string;
        terms: {
            details?: {
                expires?: number | undefined;
                quorum?: {
                    members?: [string, number | undefined][] | undefined;
                    size?: number | undefined;
                } | undefined;
                return?: string | undefined;
                value?: number | undefined;
            } | undefined;
            fees?: {
                value: number;
                address: string;
                label: string;
            }[] | undefined;
            payments?: {
                value: number;
                address: string;
                label: string;
            }[] | undefined;
            returns?: {
                value: number;
                address: string;
                label: string;
            }[] | undefined;
            records?: {
                label: string;
                content: string;
            }[] | undefined;
            scripts?: {
                label: string;
                script: string[];
            }[] | undefined;
        };
    }>;
};
export {};
//# sourceMappingURL=proposal.d.ts.map