import { z } from 'zod';
export type RecordTemplate = z.infer<typeof template>;
export type RecordData = z.infer<typeof data>;
declare const template: z.ZodObject<{
    label: z.ZodString;
    content: z.ZodString;
}, "strip", z.ZodTypeAny, {
    label: string;
    content: string;
}, {
    label: string;
    content: string;
}>;
declare const data: z.ZodObject<{
    label: z.ZodString;
    content: z.ZodString;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    label: string;
    content: string;
}, {
    pubkey: string;
    label: string;
    content: string;
}>;
export declare const RecordSchema: {
    data: z.ZodObject<{
        label: z.ZodString;
        content: z.ZodString;
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        label: string;
        content: string;
    }, {
        pubkey: string;
        label: string;
        content: string;
    }>;
    template: z.ZodObject<{
        label: z.ZodString;
        content: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        label: string;
        content: string;
    }, {
        label: string;
        content: string;
    }>;
};
export {};
//# sourceMappingURL=record.d.ts.map