import { z } from 'zod';
export type SessionData = z.infer<typeof data>;
declare const data: z.ZodObject<{
    secret: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    pubkeys: z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "many">>;
    nonces: z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "many">>;
    scripts: z.ZodDefault<z.ZodArray<z.ZodArray<z.ZodString, "many">, "many">>;
    sighash: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>>;
    taproot: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>>;
    txdata: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
}, "strip", z.ZodTypeAny, {
    scripts: string[][];
    secret: string;
    pubkeys: string[];
    nonces: string[];
    sighash?: string | undefined;
    taproot?: string | undefined;
    txdata?: string | undefined;
}, {
    secret: string;
    pubkeys?: string[] | undefined;
    nonces?: string[] | undefined;
    scripts?: string[][] | undefined;
    sighash?: string | undefined;
    taproot?: string | undefined;
    txdata?: string | undefined;
}>;
export declare const SessionSchema: {
    data: z.ZodObject<{
        secret: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        pubkeys: z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "many">>;
        nonces: z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "many">>;
        scripts: z.ZodDefault<z.ZodArray<z.ZodArray<z.ZodString, "many">, "many">>;
        sighash: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>>;
        taproot: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>>;
        txdata: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
    }, "strip", z.ZodTypeAny, {
        scripts: string[][];
        secret: string;
        pubkeys: string[];
        nonces: string[];
        sighash?: string | undefined;
        taproot?: string | undefined;
        txdata?: string | undefined;
    }, {
        secret: string;
        pubkeys?: string[] | undefined;
        nonces?: string[] | undefined;
        scripts?: string[][] | undefined;
        sighash?: string | undefined;
        taproot?: string | undefined;
        txdata?: string | undefined;
    }>;
};
export {};
//# sourceMappingURL=session.d.ts.map