import { z } from 'zod';
export type SignatureData = z.infer<typeof data>;
export type SignatureTemplate = z.infer<typeof template>;
declare const template: z.ZodObject<{
    kind: z.ZodEnum<["claim", "close", "vote"]>;
    hash: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    psig: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
}, "strip", z.ZodTypeAny, {
    hash: string;
    kind: "claim" | "close" | "vote";
    psig: string;
}, {
    hash: string;
    kind: "claim" | "close" | "vote";
    psig: string;
}>;
declare const data: z.ZodObject<{
    hash: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    kind: z.ZodEnum<["claim", "close", "vote"]>;
    psig: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    hash: string;
    kind: "claim" | "close" | "vote";
    psig: string;
}, {
    pubkey: string;
    hash: string;
    kind: "claim" | "close" | "vote";
    psig: string;
}>;
export declare const SignatureSchema: {
    data: z.ZodObject<{
        hash: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        kind: z.ZodEnum<["claim", "close", "vote"]>;
        psig: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        hash: string;
        kind: "claim" | "close" | "vote";
        psig: string;
    }, {
        pubkey: string;
        hash: string;
        kind: "claim" | "close" | "vote";
        psig: string;
    }>;
    template: z.ZodObject<{
        kind: z.ZodEnum<["claim", "close", "vote"]>;
        hash: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        psig: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    }, "strip", z.ZodTypeAny, {
        hash: string;
        kind: "claim" | "close" | "vote";
        psig: string;
    }, {
        hash: string;
        kind: "claim" | "close" | "vote";
        psig: string;
    }>;
};
export {};
//# sourceMappingURL=signature.d.ts.map