import { z } from 'zod';
export type TransactionData = z.infer<typeof data>;
declare const data: z.ZodObject<{
    confirmed: z.ZodBoolean;
    height: z.ZodNumber;
    kind: z.ZodEnum<["deposit", "script", "spend"]>;
    txid: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    txdata: z.ZodEffects<z.ZodString, string, string>;
    updated_at: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    txid: string;
    txdata: string;
    kind: "script" | "deposit" | "spend";
    confirmed: boolean;
    height: number;
    updated_at: number;
}, {
    txid: string;
    txdata: string;
    kind: "script" | "deposit" | "spend";
    confirmed: boolean;
    height: number;
    updated_at: number;
}>;
export declare const TxSchema: {
    data: z.ZodObject<{
        confirmed: z.ZodBoolean;
        height: z.ZodNumber;
        kind: z.ZodEnum<["deposit", "script", "spend"]>;
        txid: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        txdata: z.ZodEffects<z.ZodString, string, string>;
        updated_at: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        txid: string;
        txdata: string;
        kind: "script" | "deposit" | "spend";
        confirmed: boolean;
        height: number;
        updated_at: number;
    }, {
        txid: string;
        txdata: string;
        kind: "script" | "deposit" | "spend";
        confirmed: boolean;
        height: number;
        updated_at: number;
    }>;
};
export {};
//# sourceMappingURL=transaction.d.ts.map